from Common import make_minigrid, make_atari
from Common.config.config_general import Config


def make_env(config:Config):
    if config.env_type=="MiniGrid":
        return make_minigrid(config.env_name)
    elif config.env_type=="Atari":
        return make_atari(config)
    else:
        raise NotImplementedError
        